## net.sf.saxon.expr.sort
Class NumericComparer11

    java.lang.Object
      net.sf.saxon.expr.sort.NumericComparer
          net.sf.saxon.expr.sort.NumericComparer11

All Implemented Interfaces:
  Serializable, AtomicComparer

    public class NumericComparer11

extends NumericComparer

A Comparer used for comparing sort keys when data-type="number". The items to be compared are converted to numbers, and the numbers are then compared directly. NaN values compare equal to each other, and equal to an empty sequence, but less than anything else.

This class is used in XSLT only, so there is no need to handle XQuery's "empty least" vs "empty greatest" options.

Author:
  Michael H. Kay
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.expr.sort.NumericComparer
`converter`

Constructor Summary
`protected` `NumericComparer11()`

Method Summary
`static NumericComparer` `getInstance()`

Methods inherited from class net.sf.saxon.expr.sort.NumericComparer
`compareAtomicValues, comparesEqual, getCollator, getComparisonKey, provideContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumericComparer11

    protected NumericComparer11()

Method Detail

### getInstance

    public static NumericComparer getInstance()

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.